// This wants to be a "generic" library for ad9833, ad9850 and ad9851.
// currently, only ad9851 is supported
#include <stdint.h>

#define AD98_MODEL_AD9833 0
#define AD98_MODEL_AD9850 1
#define AD98_MODEL_AD9851 2

typedef struct {
    char model;  // 0 for ad9833, 1 for ad9850 and 2 for ad9851
    // same port for all pins!
    uint32_t gpioport;
    // pins
    uint16_t clock;
    uint16_t load;
    uint16_t data;
    uint16_t reset;
} ad98_dds;

void ad98_init(ad98_dds);
void ad98_set_frequency(ad98_dds, double);
